<!--
  ~ Copyright (c) Einsights Pte. Ltd. - All Rights Reserved
  ~ Unauthorized copying of this file, via any medium is strictly prohibited.
  ~ Proprietary and confidential.
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>com.einsights</groupId>
        <artifactId>ein-suggestions-dsl</artifactId>
        <version>2.3.0-SNAPSHOT</version>
    </parent>

    <artifactId>ein-suggestions-dsl-core-ide</artifactId>
    <packaging>jar</packaging>

    <build>
        <plugins>
            <plugin>
                <groupId>org.eclipse.xtend</groupId>
                <artifactId>xtend-maven-plugin</artifactId>
            </plugin>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>build-helper-maven-plugin</artifactId>
                <version>1.9.1</version>
                <executions>
                    <execution>
                        <id>add-source</id>
                        <phase>initialize</phase>
                        <goals>
                            <goal>add-source</goal>
                            <goal>add-resource</goal>
                        </goals>
                        <configuration>
                            <sources>
                                <source>src/main/xtext-gen</source>
                            </sources>
                            <resources>
                                <resource>
                                    <directory>src/main/xtext-gen</directory>
                                    <excludes>
                                        <exclude>**/*.java</exclude>
                                        <exclude>**/*.g</exclude>
                                    </excludes>
                                </resource>
                            </resources>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>com.einsights</groupId>
            <artifactId>ein-suggestions-dsl-core</artifactId>
        </dependency>

        <dependency>
            <groupId>org.eclipse.xtext</groupId>
            <artifactId>org.eclipse.xtext.ide</artifactId>
        </dependency>

        <dependency>
            <groupId>org.eclipse.xtext</groupId>
            <artifactId>org.eclipse.xtext.xbase.ide</artifactId>
        </dependency>
    </dependencies>
</project>
